Create a Use Case

Create a new use case in your workspace. Use cases help you organize vision events by deployment context (e.g., "Manufacturing Line 1", "Warehouse Inventory").

Required scope: vision-events:manage

Create a Use Case

post

Create a new use case in your workspace.

Authorizations
AuthorizationstringRequired

Roboflow API key passed as a Bearer token.

Body
namestring · min: 1 · max: 256Required

A name for the use case. Must be unique within the workspace.

Responses
201

Use case created successfully.

application/json
idstringOptional
namestringOptional
post
/vision-events/use-cases

Request Body Parameters

  • name (string, required): A name for the use case. Must be between 1 and 256 characters. The name is trimmed of leading/trailing whitespace and must be unique within the workspace.

Example Request

Example Response

Notes

  • New use cases are created with an active status by default.

  • Use case names must be unique within a workspace. Attempting to create a use case with the same name as an existing one will return a 400 error.

  • After creating a use case, you can reference its id as the useCaseId when creating vision events.

Last updated

Was this helpful?